## org.apache.myfaces.custom.tree.taglib
Class TreeCheckboxTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.core.SelectItemTagBase
                  org.apache.myfaces.custom.tree.taglib.TreeCheckboxTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class TreeCheckboxTag
extends SelectItemTagBase

Author:
  David Le Strat

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TreeCheckboxTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getFor()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setFor(java.lang.String forAttr)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.apache.myfaces.taglib.core.SelectItemTagBase
`setItemDescription, setItemDisabled, setItemLabel, setItemValue`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeCheckboxTag

    public TreeCheckboxTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `SelectItemTagBase`
  See Also:
    `UIComponentTag.getComponentType()`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `SelectItemTagBase`
  See Also:
    `UIComponentTag.getRendererType()`

### getFor

    public java.lang.String getFor()

  Returns:
    Returns the forAttr.

### setFor

    public void setFor(java.lang.String forAttr)

  Parameters:
    `forAttr` - The forAttr to set.

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `SelectItemTagBase`
  See Also:
    `UIComponentTag.setProperties(javax.faces.component.UIComponent)`